package query;
import java.sql.BaseQuery;
import java.sql.DataSet;
import java.sql.Select;

public interface RoleQueries extends BaseQuery {
    // Select all roles 
    @Select(sql = "SELECT ROLE_ID, NAME, DESCRIPTION FROM M_ROLE", 
            readOnly=false, connected=false)
    DataSet<Role> getAllRoles();

    // Select role by name 
    @Select("SELECT ROLE_ID, NAME, DESCRIPTION FROM M_ROLE"
            + " where NAME = ?")
    DataSet<Role> getRoleByName(String name);
}